/***************************************************************************
                          beam.cpp  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "beam.h"
#include "timer.h"
#include "resources.h"

Beam::Beam(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sur=Resources::Player();
	spr=8;
}
Beam::~Beam()
{
}
void Beam::show()
{
	sur->put_screen(x, y, spr);
}
void Beam::act()
{
	if(timer->time_elapsed()>=1.0f)
	this->set_delme();
}