/***************************************************************************
                          maptile_once.cpp  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "maptile_once.h"
#include "map.h"
#include "game.h"
#include "map_sample.h"
#include "player.h"
#include "timer.h"

Maptile_once::Maptile_once(int _x, int _y, WorldType _wt, Map* _map) : Maptile(_x, _y, _wt, _map)
{
	mt=ONCE;
	tr=false;
	fallt=false;
	blocking=true;
	timer=new Timer;
}
Maptile_once::~Maptile_once()
{
}
void Maptile_once::show()
{
	if(blocking==true)
	sur->put_screen(x, y, spr);
}
void Maptile_once::act()
{
	if(map->game->sample->p1->map_x(16)==x && map->game->sample->p1->map_y()==y-32 && tr!=true)
	{
		tr=true;
		timer->reset();
	}	

	if(map->game->get_t()==true && tr!=true)
	if(map->game->sample->p2->map_x(16)==x && map->game->sample->p2->map_y()==y-32)
	{
		tr=true;
		timer->reset();
	}

	if(tr==true && blocking==true)
	{
		if(timer->time_elapsed()>=0.8f)
		{
		blocking=false;
		mt=EMPTY;
		fallt=true;
		map->get_left(this)->fit();
		map->get_down(this)->fit();
		map->get_right(this)->fit();
		map->get_up(this)->fit();
		}		
	}
}