/***************************************************************************
                          map_sample.h  -  description
                             -------------------
    begin                : Sat Feb 23 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAP_SAMPLE_H
#define MAP_SAMPLE_H

#include "global_types.h"
/**
  *@author funthing (Matthias Zisler)
  */
class Game;
class Map;
class Player;
class Gameobject;
class Tool;

class Map_Sample
{
public: 
	Map_Sample(Game* _game);
	~Map_Sample();

	void act();
	void show();
	void read_next(int _id);
	bool no_left();
	void next();

	void clean_obj();	

	Gameobject* get_gameobjectg(int _x, int _y);
	Gameobject* get_gameobject(int _x, int _y);
	Gameobject* get_map_gameobject(int _x, int _y);
	bool get_monkih(int _x, int _y);
	bool get_gameobjectp(int _x, int _y);
	Tool* get_tool(int _x, int _y);

	bool no_gold();
	int get_id();
	void kill(int _x, int _y);

	list<Gameobject*> objects;

	Player* p1;
	Player* p2;
	Map* map;
	
private:


	Gameobject* dummy;
	Game* game;
	bool nl, n, gold, restart;
	int id;
};

#endif
